## NAME

i.svm.predict - Predict with a SVM
Predict with a Support Vector Machine

## KEYWORDS

imagery, svm, classification, prediction, regression

## SYNOPSIS

i.svm.predict
i.svm.predict --help
i.svm.predict group=name [subgroup=name] signaturefile=name output=name [cache=cache size] [--overwrite] [--help] [--verbose] [--quiet] [--ui]

### Flags:

--overwrite
  Allow output files to overwrite existing files
--help
  Print usage summary
--verbose
  Verbose module output
--quiet
  Quiet module output
--ui
  Force launching GUI dialog

### Parameters:

group=name [required]
  Maps with feature values (attributes)
subgroup=name
  Name of input imagery subgroup
signaturefile=name [required]
  Name of input file containing signatures
output=name [required]
  Output map with predicted class or calculated value
cache=cache size
  LIBSVM kernel cache size in MB
  Options: 1-
  Default: 512

## DESCRIPTION

i.svm.predict predicts values with a Support Vector Machine (SVM) and stores them in a raster file. Predictions are based on a signature file generated with i.svm.train.

Internally the module performs input value rescaling of each of imagery group rasters by minimum and maximum range determined during training.

## NOTES

i.svm.train internally is using the LIBSVM. For introduction into value prediction or estimation with LIBSVM, see a Practical Guide to Support Vector Classification by Chih-Wei Hsu, Chih-Chung Chang, and Chih-Jen Lin.

It is strongly suggested to have semantic labels set for each raster map in the training data (feature value) and in value prediction imagery groups. Use r.support to set semantic labels.

## PERFORMANCE

Value prediction is done cell by cell and thus memory consumption should be constant.

The cache parameter determines the maximum memory allocated for kernel caching to enhance computational speed. It's important to note that the actual module's memory consumption may vary from this setting, as it solely impacts LIBSVM's internal caching. The cache is utilized on an as-needed basis, so it's unlikely to reach the specified value.

## EXAMPLE

This is the second part of classification process. See i.svm.train for the first part.

Predict land use classes form a LANDSAT scene from October of 2002 with a SVM trained on a 1996 land use map landuse96_28m.

    i.svm.predict group=lsat7_2002 subgroup=res_30m \
        signaturefile=landuse96_rnd_points output=pred_landuse_2002

## SEE ALSO

Train SVM: i.svm.train
Set semantic labels: r.support
Other classification modules: i.maxlik, i.smap
LIBSVM home page: LIBSVM - A Library for Support Vector Machines

## REFERENCES

Please cite both - LIBSVM and i.svm.

- For i.svm.* modules:
  Nartiss, M., & Melniks, R. (2023). Improving pixel-based classification of GRASS GIS with support vector machine. Transactions in GIS, 00, 1–16. https://doi.org/10.1111/tgis.13102
- For LIBSVM:
  Chang, C.-C., & Lin, C.-J. (2011). LIBSVM : a library for support vector machines. ACM Transactions on Intelligent Systems and Technology, 2:27:1--27:27.

## AUTHOR

Maris Nartiss, University of Latvia.

## SOURCE CODE

Available at: i.svm.predict source code (history)

Latest change: Tuesday Dec 17 20:17:20 2024 in commit: d962e90c026708a4815ea2b9f46c0e84c17de22d

Main index | Imagery index | Topics index | Keywords index | Graphical index | Full index

© 2003-2025 GRASS Development Team, GRASS GIS 8.4.1 Reference Manual